<?php
//@*--


class Theme_Designer_Model_Export_Storage_Diff extends Theme_Designer_Model_Export_Storage_Abstract
{
    public function __construct($args)
    {
        parent::__construct(MAGENTO_ROOT . Mage::getSingleton('designer/config')->get('paths/theme/diff', $args));
    }

    protected function _update($data)
    {
        $this->data = array_unique(array_merge($this->data, $data));
    }
}

//--*@